registerOutputEvent(fxDTSBrick, "setRandomColor", "");
registerOutputEvent(fxDTSBrick, "setRandomItem", "");
registerOutputEvent(fxDTSBrick, "setRandomEmitter", "");
registerOutputEvent(fxDTSBrick, "setRandomLight", "");
registerOutputEvent(fxDTSBrick, "setRandomMusic", "");
registerOutputEvent(fxDTSBrick, "setRandomPrintCount", "");
registerOutputEvent(fxDTSBrick, "playRandomSound", "");
function fxDtsBrick::setRandomColor(%this,%client)
{
   %this.setcolor(getRandom(0,63));
}

function fxDtsBrick::setRandomPrintCount(%this,%client)
{
   %this.setPrintCount(getRandom(0,9));
}

function fxDtsBrick::setRandomMusic(%this,%client)
{
   for(%i = 0; %i < DataBlockGroup.getCount(); %i++)
   {
      %obj = DataBlockGroup.getObject(%i);
      if(%obj.getClassName() $= "AudioProfile" && %obj.uiName !$= "")
         %sound[%soundCount++] = %obj;
   }
   %randomsound = getRandom(0,%soundCount);
   %this.setMusic(%sound[%randomsound]);
}

function fxDtsBrick::setRandomItem(%this,%client)
{
   for(%i = 0; %i < DataBlockGroup.getCount(); %i++)
   {
      %obj = DataBlockGroup.getObject(%i);
      if(%obj.getClassName() $= "ItemData" && %obj.uiName !$= "")
         %item[%itemCount++] = %obj;
   }
   %randomitem = getRandom(0,%itemCount);
   %this.setItem(%item[%randomitem]);
}

function fxDtsBrick::setRandomEmitter(%this,%client)
{
   for(%i = 0; %i < DataBlockGroup.getCount(); %i++)
   {
      %obj = DataBlockGroup.getObject(%i);
      if(%obj.getClassName() $= "ParticleEmitterData")
         %emitter[%emitterCount++] = %obj;
   }
   %randomemitter = getRandom(0,%emitterCount);
   %this.setEmitter(%emitter[%randomemitter]);
}

function fxDtsBrick::setRandomLight(%this,%client)
{
   for(%i = 0; %i < DataBlockGroup.getCount(); %i++)
   {
      %obj = DataBlockGroup.getObject(%i);
      if(%obj.getClassName() $= "fxLightData")
         %light[%lightCount++] = %obj;
   }
   %randomlight = getRandom(0,%lightCount);
   %this.setLight(%light[%randomlight]);
}

function fxDtsBrick::playRandomSound(%this,%client)
{
   for(%i = 0; %i < DataBlockGroup.getCount(); %i++)
   {
      %obj = DataBlockGroup.getObject(%i);
      if(%obj.getClassName() $= "AudioProfile")
         %sound[%soundCount++] = %obj;
   }
   %randomsound = getRandom(0,%soundCount);
   %this.playSound(%sound[%randomsound]);
}